package com.example.smssender

import android.Manifest
import android.content.pm.PackageManager
import android.os.Bundle
import android.telephony.SmsManager
import com.google.android.material.floatingactionbutton.FloatingActionButton
import com.google.android.material.snackbar.Snackbar
import androidx.appcompat.app.AppCompatActivity
import android.view.Menu
import android.view.MenuItem
import androidx.core.content.ContextCompat
import java.util.*
import kotlin.collections.ArrayList

class MainActivity : AppCompatActivity() {

    val numeraciones = ArrayList<Numeracion>()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        setSupportActionBar(findViewById(R.id.toolbar))

        findViewById<FloatingActionButton>(R.id.fab).setOnClickListener { view ->
            if (numeraciones.isEmpty()){
                cargaInicio()
            }

            while(true){
                val random = Random()
                val indice = random.nextInt(0..numeraciones.size)
                val discado = random.nextInt(numeraciones[indice].desde!!..(numeraciones[indice].hasta!!+1))
                val generado = numeraciones[indice].ddn+discado.toString()
                val smsManager = SmsManager.getDefault() as SmsManager
                smsManager.sendTextMessage(
                    generado, null,
                    "Buenos dias, recibi su consulta en www.stcor.net por la reparacion de la computadora, por cualquier consulta mi whatsapp es https://wa.me/543512753053", null, null)
                Snackbar.make(view,
                    "Celular discado: "+generado,
                    Snackbar.LENGTH_LONG)
                    .setAction("Action", null).show()
                Thread.sleep(60000)
            }

        }
    }

    fun Random.nextInt(range: IntRange): Int {
        return range.start + nextInt(range.last - range.start)
    }

    override fun onCreateOptionsMenu(menu: Menu): Boolean {
        // Inflate the menu; this adds items to the action bar if it is present.
        menuInflater.inflate(R.menu.menu_main, menu)
        return true
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        return when (item.itemId) {
            R.id.action_settings -> true
            else -> super.onOptionsItemSelected(item)
        }
    }


    private fun cargaInicio(){
        numeraciones.add(Numeracion("351", 2000000,2009999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2010000,2019999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2020000,2029999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2030000,2039999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2040000,2049999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2050000,2059999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2060000,2069999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2070000,2079999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2080000,2089999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2090000,2099999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2100000,2109999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2110000,2119999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2120000,2129999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2130000,2139999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2140000,2149999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2150000,2159999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2160000,2169999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2170000,2179999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2180000,2189999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2190000,2199999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2200000,2209999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2210000,2219999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2220000,2229999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2230000,2239999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2240000,2249999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2250000,2259999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2260000,2269999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2270000,2279999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2280000,2289999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2290000,2299999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2300000,2309999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2310000,2319999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2320000,2329999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2330000,2339999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2340000,2349999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2350000,2359999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2360000,2369999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2370000,2379999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2380000,2389999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2390000,2399999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2400000,2409999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2410000,2419999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2420000,2429999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2430000,2439999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2440000,2449999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2450000,2459999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2460000,2469999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2470000,2479999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2480000,2489999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2730000,2739999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2740000,2749999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2750000,2759999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2760000,2769999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2770000,2779999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2780000,2789999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2790000,2799999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2800000,2809999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2810000,2819999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2820000,2829999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2830000,2839999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2840000,2849999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2850000,2859999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2860000,2869999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2870000,2879999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2880000,2889999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2890000,2899999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2900000,2909999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2910000,2919999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2920000,2929999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2930000,2939999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2940000,2949999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2950000,2959999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 2960000,2969999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3000000,3009999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3010000,3019999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3020000,3029999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3030000,3039999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3040000,3049999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3050000,3059999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3060000,3069999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3070000,3079999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3080000,3089999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3090000,3099999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3100000,3109999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3110000,3119999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3120000,3129999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3130000,3139999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3140000,3149999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3150000,3159999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3160000,3169999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3170000,3179999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3180000,3189999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3190000,3199999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3200000,3209999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3210000,3219999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3220000,3229999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3230000,3239999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3240000,3249999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3250000,3259999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3260000,3269999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3270000,3279999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3280000,3289999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3290000,3299999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3300000,3309999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3310000,3319999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3320000,3329999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3330000,3339999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3340000,3349999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3350000,3359999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3360000,3369999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3370000,3379999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3390000,3399999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3400000,3409999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3410000,3419999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3420000,3429999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3430000,3439999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3440000,3449999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3450000,3459999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3460000,3469999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3470000,3479999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3480000,3489999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3490000,3499999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3500000,3509999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3510000,3519999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3520000,3529999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3530000,3539999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3540000,3549999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3550000,3559999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3560000,3569999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3570000,3579999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3580000,3589999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3590000,3599999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3600000,3609999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3610000,3619999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3620000,3629999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3630000,3639999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3640000,3649999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3650000,3659999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3660000,3669999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3670000,3679999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3680000,3689999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3690000,3699999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3700000,3709999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3710000,3719999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3720000,3729999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3730000,3739999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3740000,3749999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3750000,3759999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3760000,3769999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3770000,3779999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3780000,3789999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3790000,3799999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3800000,3809999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3810000,3819999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3820000,3829999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3830000,3839999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3840000,3849999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3850000,3859999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3860000,3869999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3870000,3879999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3880000,3889999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3890000,3899999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3900000,3909999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3910000,3919999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3920000,3929999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3930000,3939999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3940000,3949999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3950000,3959999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3960000,3969999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3970000,3979999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3980000,3989999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 3990000,3999999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4020000,4029999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4030000,4039999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4084000,4084999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4085000,4085999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4086000,4086999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4087000,4087999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4088000,4088999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4089000,4089999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4366000,4366999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4367000,4367999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4368000,4368999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4369000,4369999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4370000,4379999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4380000,4389999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4391000,4391999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4590000,4599999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 4907000,4907999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5050000,5059999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5060000,5069999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5100000,5109999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5110000,5119999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5120000,5129999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5130000,5139999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5140000,5149999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5150000,5159999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5160000,5169999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5170000,5179999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5180000,5189999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5190000,5199999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5200000,5209999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5210000,5219999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5220000,5229999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5280000,5289999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5290000,5299999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5300000,5309999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5310000,5319999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5320000,5329999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5330000,5339999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5340000,5349999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5400000,5409999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5410000,5419999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5420000,5429999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5430000,5439999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5440000,5449999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5450000,5459999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5500000,5509999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5510000,5519999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5520000,5529999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5550000,5559999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5570000,5579999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5580000,5589999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5590000,5599999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5600000,5609999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5630000,5639999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5640000,5649999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5720000,5729999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5730000,5739999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5740000,5749999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5900000,5909999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5910000,5919999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5920000,5929999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5930000,5939999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5940000,5949999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5950000,5959999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 5990000,5999999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6000000,6009999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6010000,6019999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6020000,6029999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6060000,6069999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6120000,6129999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6130000,6139999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6140000,6149999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6150000,6159999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6160000,6169999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6170000,6179999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6180000,6189999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6190000,6199999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6200000,6209999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6210000,6219999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6220000,6229999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6230000,6239999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6240000,6249999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6250000,6259999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6260000,6269999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6270000,6279999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6280000,6289999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6290000,6299999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6300000,6309999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6310000,6319999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6320000,6329999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6330000,6339999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6340000,6349999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6350000,6359999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6360000,6369999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6370000,6379999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6400000,6409999,"NEXTEL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6410000,6419999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6420000,6429999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6430000,6439999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6450000,6459999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6460000,6469999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6470000,6479999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6480000,6489999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6500000,6509999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6510000,6519999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6520000,6529999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6530000,6539999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6540000,6549999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6557000,6557999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6558000,6558999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6560000,6569999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6570000,6579999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6580000,6589999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6590000,6599999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6600000,6609999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6610000,6619999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6620000,6629999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6630000,6639999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6640000,6649999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6650000,6659999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6660000,6669999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6670000,6679999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6680000,6689999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6690000,6699999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6700000,6709999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6710000,6719999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6720000,6729999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6740000,6749999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6750000,6759999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6760000,6769999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6770000,6779999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6780000,6789999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6790000,6799999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6800000,6809999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6810000,6819999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6820000,6829999,"PERSONAL", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6830000,6839999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6840000,6849999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6850000,6859999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6860000,6869999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6870000,6879999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6880000,6889999,"CLARO", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6890000,6899999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6950000,6959999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6960000,6969999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6970000,6979999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6980000,6989999,"MOVISTAR", "CORDOBA"))
        numeraciones.add(Numeracion("351", 6990000,6999999,"MOVISTAR", "CORDOBA"))
    }
}